Summary:	Gaby is a small personal databases manager for Linux
Name:		gaby
Version:	2.0.2
Release:	4mdk
License:	GPL
Group:		Databases

Source:		http://gaby.theridion.com/archives/%{name}-%{version}.tar.bz2
Patch0:		gaby-2.0.2-gcc-build-fix-patch.bz2

Url:		http://gaby.theridion.com
BuildRoot:	%_tmppath/%name-%version-root

BuildRequires:	libesound-devel pygtk-devel libglade2.0_0-devel libORBit2_0-devel
BuildRequires:	docbook-utils libglib1.2-devel
BuildConflicts: libgdk-pixbuf2-devel libglade0-devel libgnome32-devel

%description

Gaby is a small personal databases manager for Linux using GTK+ and Gnome 
(if available) for its GUI.

It was designed to provide straight-forward access to databases a 'normal' 
user would like (addresses, books, ...) (see the descfiles page) while 
keeping the ability to easily create databases for other needs. On a 
technical side it was designed with extensibility in mind and thus use 
relies a lot on plug-ins; and an extension language not unlike The Gimp 
script-fus is available (an embedded Python). 

%prep
%setup -q
%patch0 -p1

%build
%configure
%make

%install
%makeinstall

find $RPM_BUILD_ROOT -name '*.a' | xargs rm -fr

# (sb) menu item
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="x11" section="Office/Accessories" \
title="Gaby - Personal Database Manager" \
longtitle="Gaby - Personal Database Manager"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/gaby
%config %{_sysconfdir}/gaby/desc.*
%{_bindir}/gaby
%{_bindir}/gabybuilder
%{_bindir}/gabyprint
%{_bindir}/gabyscript
%dir %{_libdir}/gaby
%dir %{_libdir}/gaby/plug-ins
%dir %{_libdir}/gaby/plug-ins/actions
%{_libdir}/gaby/plug-ins/actions/libcd.la
%{_libdir}/gaby/plug-ins/actions/libcd.so
%{_libdir}/gaby/plug-ins/actions/libnet.la
%{_libdir}/gaby/plug-ins/actions/libnet.so
%{_libdir}/gaby/plug-ins/actions/libstat.la
%{_libdir}/gaby/plug-ins/actions/libstat.so
%dir %{_libdir}/gaby/plug-ins/formats
%{_libdir}/gaby/plug-ins/formats/infos
%{_libdir}/gaby/plug-ins/formats/libaddressbook.la
%{_libdir}/gaby/plug-ins/formats/libaddressbook.so
%{_libdir}/gaby/plug-ins/formats/libappindex.la
%{_libdir}/gaby/plug-ins/formats/libappindex.so
%{_libdir}/gaby/plug-ins/formats/libcsv.la
%{_libdir}/gaby/plug-ins/formats/libcsv.so
%{_libdir}/gaby/plug-ins/formats/libdbase.la
%{_libdir}/gaby/plug-ins/formats/libdbase.so
%{_libdir}/gaby/plug-ins/formats/libdpkg.la
%{_libdir}/gaby/plug-ins/formats/libdpkg.so
%{_libdir}/gaby/plug-ins/formats/libgaby.la
%{_libdir}/gaby/plug-ins/formats/libgaby.so
%{_libdir}/gaby/plug-ins/formats/libgaby1.la
%{_libdir}/gaby/plug-ins/formats/libgaby1.so
%{_libdir}/gaby/plug-ins/formats/libnosql.la
%{_libdir}/gaby/plug-ins/formats/libnosql.so
%{_libdir}/gaby/plug-ins/formats/libpilot.la
%{_libdir}/gaby/plug-ins/formats/libpilot.so
%{_libdir}/gaby/plug-ins/formats/libvcard.la
%{_libdir}/gaby/plug-ins/formats/libvcard.so
%{_libdir}/gaby/plug-ins/formats/libvideobase.la
%{_libdir}/gaby/plug-ins/formats/libvideobase.so
%dir %{_libdir}/gaby/plug-ins/interpreter
%{_libdir}/gaby/plug-ins/interpreter/libpython.la
%{_libdir}/gaby/plug-ins/interpreter/libpython.so
%dir %{_libdir}/gaby/plug-ins/print
%{_libdir}/gaby/plug-ins/print/html.dsc
%{_libdir}/gaby/plug-ins/print/html.py
%{_libdir}/gaby/plug-ins/print/html.xml
%{_libdir}/gaby/plug-ins/print/infos
%{_libdir}/gaby/plug-ins/print/latex.dsc
%{_libdir}/gaby/plug-ins/print/latex.py
%{_libdir}/gaby/plug-ins/print/latex.xml
%{_libdir}/gaby/plug-ins/print/lout.dsc
%{_libdir}/gaby/plug-ins/print/lout.py
%{_libdir}/gaby/plug-ins/print/lout.xml
%{_libdir}/gaby/plug-ins/print/merging.dsc
%{_libdir}/gaby/plug-ins/print/merging.py
%{_libdir}/gaby/plug-ins/print/merging.xml
%dir %{_libdir}/gaby/plug-ins/view
%{_libdir}/gaby/plug-ins/view/libfilter.la
%{_libdir}/gaby/plug-ins/view/libfilter.so
%{_libdir}/gaby/plug-ins/view/libform.la
%{_libdir}/gaby/plug-ins/view/libform.so
%{_libdir}/gaby/plug-ins/view/libgenealogy.la
%{_libdir}/gaby/plug-ins/view/libgenealogy.so
%{_libdir}/gaby/plug-ins/view/libhello.la
%{_libdir}/gaby/plug-ins/view/libhello.so
%{_libdir}/gaby/plug-ins/view/liblist.la
%{_libdir}/gaby/plug-ins/view/liblist.so
%{_libdir}/gaby/plug-ins/view/libminiform.la
%{_libdir}/gaby/plug-ins/view/libminiform.so
%{_libdir}/gaby/plug-ins/view/libsearch.la
%{_libdir}/gaby/plug-ins/view/libsearch.so
%{_libdir}/gaby/plug-ins/view/libxlist.la
%{_libdir}/gaby/plug-ins/view/libxlist.so
%dir %{_datadir}/doc/gaby
%{_datadir}/doc/gaby/*
%dir %{_datadir}/gaby
%{_datadir}/gaby/gaby_tips.txt
%{_datadir}/gaby/gaby_tips_de.txt
%{_datadir}/gaby/gaby_tips_fi.txt
%{_datadir}/gaby/gaby_tips_fr.txt
%{_datadir}/gaby/gaby_tips_no.txt
%dir %{_datadir}/gaby/glade
%{_datadir}/gaby/glade/gabyform.glade
%dir %{_datadir}/gaby/scripts
%dir %{_datadir}/gaby/scripts/actions
%{_datadir}/gaby/scripts/actions/example
%{_datadir}/gaby/scripts/actions/hello.py
%{_datadir}/gaby/scripts/actions/nb_records.py
%{_datadir}/gaby/scripts/actions/set_default_country.py
%{_datadir}/gaby/scripts/actions/show_phonebook.py
%{_datadir}/gaby/scripts/actions/tips.py
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/gaby.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/gaby.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/gaby.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/gaby.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/gaby.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/gaby.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/gaby.mo
%lang(no) %{_datadir}/locale/no/LC_MESSAGES/gaby.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/gaby.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/gaby.mo
%{_mandir}/man1/gaby.1.bz2
%{_mandir}/man1/gabybuilder.1.bz2
%{_menudir}/gaby

%changelog
* Sat Aug  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.2-4mdk
- rebuild for python2.3, add patch0 to build with latest gcc

* Tue May 27 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.2-3mdk
- distriblint

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.2-2mdk
- BuildRequires, distriblint

* Tue Apr  1 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.2-1mdk
- first packaging
